> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update modifier option



## OpenAPI

````yaml put /menu/modifier-options/{modifierOptionId}
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /menu/modifier-options/{modifierOptionId}:
    put:
      summary: Update modifier option
      parameters:
        - in: path
          name: modifierOptionId
          required: true
          schema:
            type: string
          description: ID Justo o ID externo de la opción de modificador.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/apiModifierOption'
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/apiModifierOption'
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    apiModifierOption:
      type: object
      description: Opción de modificador.
      properties:
        optionId:
          type: string
          description: ID Justo de la opción.
        importId:
          type: string
          description: ID de importación de la opción.
        name:
          type: string
          description: Nombre de la opción.
        internalName:
          type: string
          description: Nombre interno de la opción.
        max:
          type: number
          description: Cantidad máxima seleccionable.
        externalId:
          type: string
          description: ID externo configurado por la marca.
        metadata:
          type: object
          description: Metadata del item escrita por API v3.
          additionalProperties: true
        menus:
          type: array
          description: Precio y disponibilidad por precio/menú.
          items:
            type: object
            description: Precio y disponibilidad del item para un precio/menú.
            properties:
              menuId:
                type: string
                description: ID Justo del precio/menú.
              price:
                type: number
                description: Precio configurado para este precio/menú.
              basePrice:
                type: number
                description: Precio base configurado para este precio/menú.
              discount:
                type: number
                description: Descuento principal configurado.
              discounts:
                type: array
                description: Descuentos configurados.
                items:
                  type: number
              available:
                type: boolean
                description: Indica si el item está disponible.
              externalId:
                type: string
                description: ID externo efectivo para este precio/menú, si fue reemplazado.
              metadata:
                type: object
                description: Metadata del precio/disponibilidad escrita por API v3.
                additionalProperties: true
            additionalProperties: true

````